commit:     7fbe7a1fd80fc2a106045545f7ff0a4a757aaa70
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 15 05:08:12 2015 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Thu Oct 15 05:08:12 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7fbe7a1f

dev-python/oslo-policy: bup for liberty

Package-Manager: portage-2.2.20.1

 dev-python/oslo-policy/Manifest                  |  1 +
 dev-python/oslo-policy/oslo-policy-0.12.0.ebuild | 47 ++++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/dev-python/oslo-policy/Manifest b/dev-python/oslo-policy/Manifest
index d5820f0..37a962f 100644
--- a/dev-python/oslo-policy/Manifest
+++ b/dev-python/oslo-policy/Manifest
@@ -1 +1,2 @@
+DIST oslo.policy-0.12.0.tar.gz 35104 SHA256 
5a2319e99a5e6bff310c74222f26a1425e9554c9bf577dcb13ee3cee8c545719 SHA512 
b1228d60feb91f8a787915dee46f8944a1c831009b1433ecffc7256f3e1c17efd842d17b69e723b2ff303a05e7a8099f3c9ab1f2fce73a7fd1a5ea552a454c9a
 WHIRLPOOL 
32dcc70a6a4ccd2f9d7ef8742376e40b0bfdb58c15414ca70c46a96d464d62e92a0822f424de0cb615c81ecd07e7e6473203deca7c5c1ddef1151fbec87b5f07
 DIST oslo.policy-0.3.2.tar.gz 31745 SHA256 
e69a5c559f95bcbf91eb0ea9f16aa65f0fe5fccc7fa03693d4cc991b76e969a6 SHA512 
55043f7cbb93799dc53735844d8a315bbdfdba6c83121612737e6125f78e9396f071b2ff6d67133b582228e7e3a36912a4ab02aaa6641ce62f8820a1500bdd99
 WHIRLPOOL 
a93e99f46db150e14327f5a6109dec56993a78c28ef93daa630418685da4d60d1017d8d805ae856eccf8e7553983dec7cc4b87005f12b965a9b4d75348e288e7

diff --git a/dev-python/oslo-policy/oslo-policy-0.12.0.ebuild 
b/dev-python/oslo-policy/oslo-policy-0.12.0.ebuild
new file mode 100644
index 0000000..12021eb
--- /dev/null
+++ b/dev-python/oslo-policy/oslo-policy-0.12.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 python3_4)
+
+inherit distutils-r1
+
+DESCRIPTION="The Oslo Policy library provides support for RBAC policy 
enforcement across all OpenStack services."
+HOMEPAGE="https://pypi.python.org/pypi/oslo.policy";
+SRC_URI="mirror://pypi/${PN:0:1}/oslo.policy/oslo.policy-${PV}.tar.gz"
+S="${WORKDIR}/oslo.policy-${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+CDEPEND=">=dev-python/pbr-1.8[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+       ${CDEPEND}
+       test? (
+               >=dev-python/oslotest-1.10.0[${PYTHON_USEDEP}]
+               >=dev-python/httpretty-0.8.4[${PYTHON_USEDEP}]
+               <dev-python/httpretty-0.8.7[${PYTHON_USEDEP}]
+               >=dev-python/oslo-sphinx-2.5.0[${PYTHON_USEDEP}]
+               >=dev-python/sphinx-1.1.2[${PYTHON_USEDEP}]
+               !~dev-python/sphinx-1.2.0[${PYTHON_USEDEP}]
+               <dev-python/sphinx-1.3.0[${PYTHON_USEDEP}]
+       )"
+RDEPEND="
+       ${CDEPEND}
+       >=dev-python/requests-2.5.2[${PYTHON_USEDEP}]
+       !~dev-python/requests-2.8.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-config-2.3.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-i18n-1.5.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-serialization-1.4.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-utils-2.0.0[${PYTHON_USEDEP}]
+       >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+"
+
+# This time half the doc files are missing; Do you want them?
+
+python_test() {
+       nosetests tests/ || die "test failed under ${EPYTHON}"
+}

Reply via email to